Bug Hunting Session
Bug 95530 - Applying paragraph styles in tables in particular file makes LO crashing (swlo!SwFont::SetUnderColor+c)
Summary: Applying paragraph styles in tables in particular file makes LO crashing (swl...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace
Depends on:
Blocks: Writer-Tables Writer-Styles-Paragraph
  Show dependency treegraph
 
Reported: 2015-11-02 19:04 UTC by Udo Forstmann
Modified: 2019-02-03 14:25 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
example file for crashing on apply styles (56.87 KB, application/vnd.oasis.opendocument.text)
2015-11-02 19:04 UTC, Udo Forstmann
Details
backtrace LO 5.0.2.2 Ubuntu 14.04 (49.42 KB, text/plain)
2015-11-05 18:59 UTC, Udo Forstmann
Details
gdb logfile of crash with libreoffice daily master 5.1.0.0.alpha linux x86 (23.44 KB, text/plain)
2015-11-15 18:03 UTC, Udo Forstmann
Details
ecample file: procdump+WinDBG.txt (12.61 KB, text/plain)
2017-05-23 09:36 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Udo Forstmann 2015-11-02 19:04:13 UTC
Created attachment 120210 [details]
example file for crashing on apply styles

The attached file is crashing very offen. Ist the same problem in Version 5.0.2.2 like in 4.4, in Linux Ubuntu 14.4 or in Windows 7 on 3 different machines. 
There are some different reasons for crashing, per example inserting or deleting rows or paragraphs. The most frequent case is applying paragraph styles.

The problem was not easy to reproduce, but in the example it happens reliable on applying the style "Tabelle Inhalt" at the second paragraph in Topic 001.14.02 (comment). 

May be the file was converted in MS Word a longer time before. I have written it new from LO template, but I was importing the styles from the old file. Perhaps, this is one of the reasons?

Best regards
Udo Forstmann
Comment 1 Cor Nouws 2015-11-03 06:14:41 UTC
Hi Udo,

Thanks for filing and the clear description.

I can not reproduce it on 32 Bits Ubuntu LibreOffice 5.0.3.1.
I choose style "Table contents" I guess that is the default that is mentioned "Tabelle Inhalt" for you.

Did you try with a fresh user profile:
  https://wiki.documentfoundation.org/UserProfile

And indeed it could have to do with some corruption/history of the document. 
But that doesn't help that much..

Sorry I can't help.
Cheers,
Cor
Comment 2 Joel Madero 2015-11-03 06:27:15 UTC Comment hidden (obsolete)
Comment 3 Cor Nouws 2015-11-03 20:35:12 UTC
Hi Joel,

Apart from your useful requests:


(In reply to Joel Madero from comment #2)

> We need a bit clearer instructions on how to make this crash.

" The problem was not easy to reproduce, but in the example it happens reliable on applying the style "Tabelle Inhalt" at the second paragraph in Topic 001.14.02 (comment). " (somewhere hidden in the initial description) ;)
Comment 4 Udo Forstmann 2015-11-03 21:59:54 UTC
Hi,

thanks for help, 

@Cor: user profile should not be the problem, I was testing this before an the problem is present on different machines.

@Joel:  First I have now to learn something about gdb and chat :^)

@Cor: My english is not enough to understand the irony: somewhere hidden in the initial description) ;)

See you later
Udo
Comment 5 Udo Forstmann 2015-11-05 18:59:30 UTC Comment hidden (obsolete)
Comment 6 Udo Forstmann 2015-11-05 19:08:50 UTC
After attaching gdb to LO I have changed to LO and:

- setting the corsor at the described Position (where the comment is inserted)
- opening the paragraph styles in the side-bar on right
- dubble-clicking at the style "Tabellen Inhalt" (table content)
-> LO ist freezing
Comment 7 Buovjaga 2015-11-11 09:03:02 UTC Comment hidden (obsolete)
Comment 8 Udo Forstmann 2015-11-11 12:16:55 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-11-11 12:33:30 UTC
(In reply to Udo Forstmann from comment #8)
> Is this a problem of the situation on the crash or of writing the backtrace
> (using gdb)? Do you have a hint for me?

Sorry, I'm not a debugging pro. You could join the QA channel in case there is some guru around: https://webchat.freenode.net/?channels=#libreoffice-qa

Perhaps you could even ask the developers nicely, if no one in the QA chat replies: https://webchat.freenode.net/?channels=#libreoffice-dev
Comment 10 Udo Forstmann 2015-11-15 18:03:23 UTC
Created attachment 120561 [details]
gdb logfile of crash with libreoffice daily master 5.1.0.0.alpha linux x86

This is next try to show you a backtrace of crash
Comment 11 Buovjaga 2015-11-15 18:11:01 UTC
Ok, now it looks better.
Comment 12 Udo Forstmann 2015-11-22 16:49:12 UTC
Here some additional informations:

In the meantime I have written the file new from a clean template with the table and all the paragraph-styles. It is allmost the same, the program is crashing very offen, but I have not yet a point, whre I can reproduce the crash everytime. It seems, the additional styles from converting in MS-Office-Format are not the reason.

I happens on apply paragraph styles: In the protocol (Is it right  named? It means a document to keep the minutes) a new item will be marked blue (Tabelle Inhalt blau, table content blue). Next week the same Text will be marked black (Tabelle Inhalt, table content)

Not so offen it happens on inserting paragraphs in the table, if the pagebreaks will be new.

Two other people with LO on Windows have the same Problems with copies of my file. Im sure, if you use the file a while an do something with it, you can reproduce the crash.

May be, the problem is with bulletin-Lists in Tables? 

Are the used paragraph-styles too complicated?

Could the inserted spreadsheet on top make problems?

I would not use a table if there is a possibility to get parallel columns (for deadline/accountability) in the document.

Best regards
Udo
Comment 13 Joel Madero 2015-11-22 16:58:47 UTC
Hi Udo -

Please don't clutter the bug with other findings - this bug is about a crash, nothing else. Other problems should be reported separately and individually (1 bug per report). Thanks for your understanding :) We just like to keep our bug reports as clean as possible to avoid confusion.
Comment 14 Udo Forstmann 2015-11-22 17:15:36 UTC Comment hidden (obsolete)
Comment 15 Udo Forstmann 2016-01-22 18:39:22 UTC
Hi,

can somewhere see and understand the problem and has any hint for me?

I have al lot of crashes at two similar files all the time, sometimes one per minute. I think its related to page break.

It was a little bit hard for me to get a reproduceable situation and a backtrace. I can' t do this very often, but i will try it once more, if it helps.

Cheers
Udo
Comment 16 Cor Nouws 2016-01-22 22:38:41 UTC
(In reply to Udo Forstmann from comment #15)
> can somewhere see and understand the problem and has any hint for me?

Other than the hits given, I would have no idea, sorry.
If it is multiple machines on your side, updating drivers will make no sense.
And a fresh userprofile? Try it.
Make the files new from scratch..?
Still, when you have it, and no one here can reproduce it, what can we do?

Cheers - Cor
Comment 17 Udo Forstmann 2016-02-01 20:22:17 UTC
I was making a backtrace (comment 10), but I have got no answer about it and I don't know if the backtrace is useful. This case was reproduceable for me in two different environments (win and linux).

If you can't see something in this backtrace, I have to look after a new reproduceable situation in my new file that I have written from scratch. This is not so easy for me, I have to take some personal informations out of the file, find a error thats not happens at one time and set up the debugging. Thats why I will be lucky to have some informations about making the backtrace better.

Best regards
Udo
Comment 18 Udo Forstmann 2016-05-20 15:56:32 UTC
Hi,

the end of this story for me ist not to use paragraph styles contains bullet lists inside of table cells. This files were ceashing over and over in different versions and operating systems, also in Open Office. The crashs was related to insert an delete rows, probably to pagebraking.

Problems are completely disappeared after removing the lists inside tables.

Best regards
Udo
Comment 19 raal 2016-05-20 16:59:36 UTC
No crash with Version: 5.2.0.0.alpha1+
Build ID: eb7593daa4bac21bd68182c8bbbd3ee3bd7b64dd
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-05-03_07:06:45
Comment 20 Cor Nouws 2016-05-20 18:59:03 UTC Comment hidden (obsolete)
Comment 21 Thomas Krumbein 2016-05-20 20:13:45 UTC
Well, i can reproduce the crash on Windows 10, 64bit.

Using: Version: 5.1.1.3
Build-ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU-Threats: 8; BS-Version: Windows 6.2; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE)

File crashs LibO often - just by changing format-sytes in the table.

Because the file has a lot of old WW-Styles inside, and Udo mentioned, he has made a clean file in Lo, it may be helpful, if he can attached the clean file.
Comment 22 Cor Nouws 2016-05-20 21:40:43 UTC
(In reply to Thomas Krumbein from comment #21)
> Well, i can reproduce the crash on Windows 10, 64bit.


Ah, thanks! Setting to New and proper field values now.
Comment 23 QA Administrators 2017-05-22 13:40:37 UTC Comment hidden (obsolete)
Comment 24 Timur 2017-05-23 09:36:29 UTC
Created attachment 133467 [details]
ecample file: procdump+WinDBG.txt

LO 5.5+
Comment 25 QA Administrators 2018-05-24 02:46:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug